Bug 1015833 - [abrt] rawstudio-2.0-11.fc19: rs_lens_db_editor_update_lensfun: Process /usr/bin/rawstudio was killed by signal 11 (SIGSEGV)
[abrt] rawstudio-2.0-11.fc19: rs_lens_db_editor_update_lensfun: Process /usr/...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rawstudio (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gianluca Sforna
Fedora Extras Quality Assurance
abrt_hash:c76f201d9172a6af3626985a786...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-05 19:51 EDT by Dmitry Burstein
Modified: 2015-02-17 12:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:32:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (64.07 KB, text/plain)
2013-10-05 19:51 EDT, Dmitry Burstein
no flags Details
File: cgroup (141 bytes, text/plain)
2013-10-05 19:51 EDT, Dmitry Burstein
no flags Details
File: core_backtrace (50.27 KB, text/plain)
2013-10-05 19:51 EDT, Dmitry Burstein
no flags Details
File: dso_list (15.94 KB, text/plain)
2013-10-05 19:51 EDT, Dmitry Burstein
no flags Details
File: environ (1.53 KB, text/plain)
2013-10-05 19:51 EDT, Dmitry Burstein
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-05 19:51 EDT, Dmitry Burstein
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-05 19:51 EDT, Dmitry Burstein
no flags Details
File: maps (83.33 KB, text/plain)
2013-10-05 19:51 EDT, Dmitry Burstein
no flags Details
File: open_fds (1.14 KB, text/plain)
2013-10-05 19:51 EDT, Dmitry Burstein
no flags Details
File: proc_pid_status (949 bytes, text/plain)
2013-10-05 19:51 EDT, Dmitry Burstein
no flags Details
File: var_log_messages (1.18 KB, text/plain)
2013-10-05 19:51 EDT, Dmitry Burstein
no flags Details

  None (edit)
Description Dmitry Burstein 2013-10-05 19:51:20 EDT
Version-Release number of selected component:
rawstudio-2.0-11.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        rawstudio
crash_function: rs_lens_db_editor_update_lensfun
executable:     /usr/bin/rawstudio
kernel:         3.11.2-201.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 rs_lens_db_editor_update_lensfun at rs-lens-db-editor.c:756
 #1 update_lensfun at rs-lens-db-editor.c:498
 #2 g_closure_invoke at /lib64/libgobject-2.0.so.0
 #3 signal_emit_unlocked_R at /lib64/libgobject-2.0.so.0
 #4 g_signal_emit_valist at /lib64/libgobject-2.0.so.0
 #5 g_signal_emit at /lib64/libgobject-2.0.so.0
 #6 gtk_real_button_released at gtkbutton.c:1712
 #7 g_closure_invoke at /lib64/libgobject-2.0.so.0
 #8 signal_emit_unlocked_R at /lib64/libgobject-2.0.so.0
 #9 g_signal_emit_valist at /lib64/libgobject-2.0.so.0
Comment 1 Dmitry Burstein 2013-10-05 19:51:24 EDT
Created attachment 808333 [details]
File: backtrace
Comment 2 Dmitry Burstein 2013-10-05 19:51:27 EDT
Created attachment 808334 [details]
File: cgroup
Comment 3 Dmitry Burstein 2013-10-05 19:51:30 EDT
Created attachment 808335 [details]
File: core_backtrace
Comment 4 Dmitry Burstein 2013-10-05 19:51:33 EDT
Created attachment 808336 [details]
File: dso_list
Comment 5 Dmitry Burstein 2013-10-05 19:51:36 EDT
Created attachment 808337 [details]
File: environ
Comment 6 Dmitry Burstein 2013-10-05 19:51:38 EDT
Created attachment 808338 [details]
File: exploitable
Comment 7 Dmitry Burstein 2013-10-05 19:51:41 EDT
Created attachment 808339 [details]
File: limits
Comment 8 Dmitry Burstein 2013-10-05 19:51:45 EDT
Created attachment 808340 [details]
File: maps
Comment 9 Dmitry Burstein 2013-10-05 19:51:47 EDT
Created attachment 808341 [details]
File: open_fds
Comment 10 Dmitry Burstein 2013-10-05 19:51:50 EDT
Created attachment 808342 [details]
File: proc_pid_status
Comment 11 Dmitry Burstein 2013-10-05 19:51:53 EDT
Created attachment 808343 [details]
File: var_log_messages
Comment 12 Anders Brander 2014-12-03 02:51:40 EST
This is a duplicate of bug #1118854.

Fixed upstream:
https://github.com/rawstudio/rawstudio/commit/c79f3aa5da4d37f6e2839a9578dac5cc35259298
Comment 13 Fedora End Of Life 2015-01-09 15:08:17 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 12:32:17 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.